## edu.stanford.nlp.ling
Interface HasCategory

All Known Implementing Classes:
  CategoryWordTag, CoreLabel, CyclicCoreLabel

    public interface HasCategory

Something that implements the `HasCategory` interface knows about categories.

Author:
  Christopher Manning

Method Summary
`String` `category()` Return the category value of the label (or null if none).
`void` `setCategory(String category)` Set the category value for the label (if one is stored).

Method Detail

### category

    String category()

  Return the category value of the label (or null if none).

  Returns:
    String the category value for the label

### setCategory

    void setCategory(String category)

  Set the category value for the label (if one is stored).

  Parameters:
    `category` - The category value for the label

Stanford NLP Group